# Type Alias RowActionCheckFunction<Data>

RowActionCheckFunction: (element: Data, index: number, array: Data[]) => boolean

#### Type Parameters

- Data

#### Type declaration

- - (element: Data, index: number, array: Data[]): boolean

  - #### Parameters

    - element: Data
    - index: number
    - array: Data[]

    #### Returns boolean

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/types.ts:3